server:
  tomcat:
    uri-encoding: UTF-8
    max-threads: 1000
    min-spare-threads: 30
  port: 8086
  connection-timeout: 5000ms


spring:
  main:
    allow-bean-definition-overriding: true
  # 环境 dev|test|prod
  profiles:
    active: dev
  # jackson时间格式化
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
      enabled: true
  mvc:
    throw-exception-if-no-handler-found: true
#  resources:
#    add-mappings: false

##mybatis
#mybatis-plus:
#  mapper-locations: classpath*:mapper/*.xml
#  #实体扫描，多个package用逗号或者分号分隔
#  #typeAliasesPackage: cn.wisenergy.service.*
#  global-config:
#    #数据库相关配置
#    db-config:
#      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID", ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
#      id-type: AUTO
#      #驼峰下划线转换
#      column-underline: true
#      logic-delete-value: -1
#      logic-not-delete-value: 0
#    banner: false
#  #原生配置
#  configuration:
#    map-underscore-to-camel-case: true
#    cache-enabled: false
#    call-setters-on-nulls: true
#    jdbc-type-for-null: 'null'


camera:
  ysy:   #萤石云
    api:
      appKey: 53ff83088a8b445ea1b30c0ba85f7653
      appSecret: 0274e379003912b7ec1f3ef18a169624

  isc:          #海康威视
    api:
      host: 172.18.1.51:4443
      #host: 111.203.232.172:4443
      appKey: 23756916
      appSecret: TDrCbqQXe9XSt7SimYDO
      path: /artemis

#mybatis:
#  mapper-locations: classpath*:/mapper/*Mapper.xml
logging:
  level:
    cn.wisenergy.mapper : debug
